USLEEP(3)

NAME
usleep - suspend process execution for an interval measured in microseconds

LIBRARY
libc

SYNOPSIS
#include <unistd.h>
int
usleep(useconds_t microseconds);

DESCRIPTION
The usleep() function suspends execution of the calling process until either microseconds microseconds have elapsed or a signal is delivered to the process and its action is to invoke a signal-catching function or to terminate the process. System activity may lengthen the sleep by an indeterminate amount.

This function is implemented using nanosleep(2) by pausing for microseconds microseconds or until a signal occurs. Consequently, in this implementation, sleeping has no effect on the state of process timers, and there is no special handling for SIGALRM.

RETURN VALUES

ERRORS
The usleep() function will fail if:

[EINTR]
    A signal was delivered to the process and its action was to invoke a signal-catching function.

SEE ALSO
nanosleep(2), sleep(3)

HISTORY
The usleep() function appeared in 4.3BSD.